using CsvHelper.Configuration.Attributes;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ArtikelUpdateOpencart.Import.Models
{
    public class AllnetArtikel
    {
        
        [Name("Nr.")]
        public string Nr { get; set; } = string.Empty;
        [Name("ALLNET-Artikelnummer")]
        public string AllnetArtiNr{ get; set; } = string.Empty;
        [Name("Hersteller-Artikelnummer")]
        public string HerstellerArtiNr{ get; set; } = string.Empty;
        [Name("Hersteller")]
        public string Hersteller{ get; set; } = string.Empty;
        [Name("Produktbezeichnung")]
        public string Produktbezeichnung{ get; set; } = string.Empty;
        [Name("EAN Nummer")]
        public string EAN{ get; set; } = string.Empty;
        [Name("Kategorieebene1")]
        public string Kategorie1{ get; set; } = string.Empty;
        [Name("Kategorieebene2")]
        public string Kategorie2{ get; set; } = string.Empty;
        [Name("Kategorieebene3")]
        public string Kategorie3{ get; set; } = string.Empty;
        [Name("HEK")]
        public decimal HEK{ get; set; }
        [Name("Artikelzustand")]
        public string Zustand{ get; set; } = string.Empty;
        [Name("UVP")]
        public decimal UVP{ get; set; }
        [Name("Produktbeschreibung")]
        public string Produktbeschreibung{ get; set; } = string.Empty;
        [Name("Gewicht")]
        [Default(-1)]
        public decimal Gewicht{ get; set; }
        [Name("Lagerbestand")]
        public string Lagerbestand { get; set; } = "0"; // Allnet übermittelt den Wert mit leerzeichen, deswegen schlägt die automatische Umwandlung fehl. Bleibt uns also nix anderes übrig als manuell zu parsen
    }
}
